// PiTrex Discrete GPIO Read Test Software.
// -Reads 6522 Registers via Raspberry Pi GPIO.
// Kevin Koster, 2019.

#include <unistd.h>
#include <stdio.h>

#include "pitrexio-gpio.h"

int main ()
{
	if (!vectrexinit() )
	{
	 printf("Could Not Initialise Vectrex Connection\n");
	 return 1;
	}

	unsigned char readdata;
	int readaddress;
	for (readaddress = 0xD000; readaddress <= 0xD00F; readaddress++)
	{
	 readdata = vectrexread (readaddress);
	 printf("Address: %X Data: %X \n", readaddress, readdata);
	}

	vectrexclose ();
	return 0;
}
